=== debian/changelog ===
series60-remote (0.4.0+dfsg.1-1) unstable; urgency=low

  * New upstream version.
  * Bump standards to 3.9.1.

 -- Michal Čihař <nijel@debian.org>  Fri, 19 Nov 2010 16:02:10 +0100

series60-remote (0.3.93+dfsg.1-1) unstable; urgency=low

  * Repack source to include sourcess for PyS60.
  * Add python-matplotlib to recommends.
  * Move to contrib as the parts for mobile phone need S60 SDKs for build and
    these are not available in Debian.
  * Convert debian/copyright to DEP-5 because it started to be really messy
    otherwise.

 -- Michal Čihař <nijel@debian.org>  Thu, 22 Jul 2010 10:33:13 +0200

series60-remote (0.3.93-1) unstable; urgency=low

  * Initial upload (Closes: #587601)

 -- Michal Čihař <nijel@debian.org>  Wed, 21 Jul 2010 15:19:20 +0200
