=== debian/control ===
Source: series60-remote
Section: contrib/comm
Priority: extra
Maintainer: Michal Čihař <nijel@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: python, python-support (>= 0.5.3)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/series60-remote/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/series60-remote/trunk/
Homepage: http://series60-remote.sourceforge.net/

Package: series60-remote
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>= 2.5), python-qt4, python-qt4-sql, python-bluez, libqt4-sql-sqlite | libqt4-sql-mysql
Recommends: python-obexftp, python-matplotlib
XB-Python-Version: ${python:Versions}
Description: S60 mobile phone management application
 Series60-Remote is an application to manage your mobile phone. You can
 send and receive SMS messages directly on your computer. It also
 provides a complex contact and file management.
