## series60-remote 0.4.80%2Bdfsg.1

=== debian/changelog ===
series60-remote (0.4.80+dfsg.1-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Michal Čihař ]
  * Bump standards to 3.9.4.
  * Update debian/copyright to match current copyright format.
  * Use debhelper 9 and dh_python2.
  * Patch setup.py rather than manually delete some installed files.
  * Upload to unstable, there probably won't be any further stable release.

 -- Michal Čihař <nijel@debian.org>  Mon, 17 Jun 2013 10:50:40 +0200

series60-remote (0.4.80+dfsg.1-1) experimental; urgency=low

  * New upstream beta version.
  * Fixup permissions of installed files.

 -- Michal Čihař <nijel@debian.org>  Fri, 19 Nov 2010 16:43:34 +0100
