## series60-remote 0.4.80+dfsg.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 RPMSRCRPM=$(RPMROOT)/SRPMS
 RPMBINRPM=$(RPMROOT)/RPMS/noarch
 PROJECT=series60-remote
-VERSION=0.4.0
+VERSION=0.4.80
 
 all:
 	@echo "make build - Build everything needed to install"
@@ -61,5 +61,5 @@
 
 clean:	
 	$(PYTHON) setup.py clean
-	rm -rf build/ debian/ pc/ui/*.py mobile/*.sis MANIFEST
+	rm -rf build/ debian/ pc/ui/ui_*.py pc/ui/resource_*.py mobile/*.sis MANIFEST
 	find . -name '*.pyc' -delete
