=== debian/rules ===
--- 
+++ 
@@ -7,25 +7,11 @@
 DFSG_VERSION:=1
 
 %:
-	dh $@
+	dh $@ --with python2 -Spython_distutils
 
-override_dh_auto_build:
-	dh_auto_build -Spython_distutils
-
-override_dh_auto_clean:
-	dh_auto_clean -Spython_distutils
-
-override_dh_auto_configure:
-	dh_auto_configure -Spython_distutils
-
-override_dh_auto_install:
-	dh_auto_install -Spython_distutils
-	for f in INSTALL LICENSE HACKING Changelog LICENSE.icons-oxygen TODO README.icons-oxygen ; do \
-		rm -f debian/series60-remote/usr/lib/python*/*-packages/series60_remote/$$f; \
-	done
-
-override_dh_auto_test:
-	dh_auto_test -Spython_distutils
+override_dh_fixperms:
+	dh_fixperms
+	find debian/series60-remote/usr/share/series60-remote -type f -print0 | xargs -r -0 chmod 644
 
 get-orig-source:
 	rm -rf get-orig-source-temp
