=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\.\d+$// http://sf.net/series60-remote/series60-remote-(.+)\.tar\.gz
